Android target api 26, google says its 24

Everything looks as though it should work setting the android api target to 26, however, when I upload my apk to the play store google says it is api level 24.

Any ideas?

alt text
alt text
alt text

So the problem was I had my own manifest.xml file in Android plugins that I had forgotten about which had 24 hard coded.

As a side note, this whole android target api level 26 still allows old devices to run new apps if they meet the minimum api level. The point is to make developers target higher api levels that have security improvements that aren’t being utilised so if someone is running Oreo they have the features that have been developed for it.